Summary: The Emacs Lisp Reference Manual
%define name elisp-manual-20
Name: %{name}
%define version 2.5
Version: %{version}
Release: 1
Copyright: GPL
Group: Applications/Editors
Source: ftp://ftp.gnu.org/gnu/emacs/%{name}-%{version}.tar.gz
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-root

%description
The Emacs Lisp Reference Manual

%prep
%setup -q

%build
./configure
make maintainer-clean
make elisp
make elisp.dvi

gzip -9 elisp elisp-* *dvi

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/info
cp elisp.gz elisp-*gz $RPM_BUILD_ROOT/usr/info

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/elisp.gz /usr/info/dir \
                   --section="GNU Emacs Lisp" \
                   --entry="* Emacs Lisp: (elisp).  The Emacs Lisp Reference Manual."

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/elisp.gz /usr/info/dir
fi

%files
%doc README elisp.dvi.gz
/usr/info/*
